package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname JobQuotaStatus
 * @Description TODO
 * @Date 2025/4/8 16:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "项目的JOB状态")
public class JobQuotaStatus {
    @Schema(title = "项目JOB数量配额", required = true)
    private int jobQuota;
    @Schema(title = "已运行JOB数量", required = true)
    private int runningJobCount;
    @Schema(title = "JOB告警阈值，百分比0-100", required = true)
    private int jobThreshold;
    @Schema(title = "项目job时间配额，单位：小时", required = true)
    private long timeQuota;
    @Schema(title = "当月已运行JOB时间, 单位：毫秒", required = true)
    private long runningJobTime;
    @Schema(title = "时间告警阈值，百分比0-100", required = true)
    private int timeThreshold;
}
