package cd.casic.ci.log.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname LogSubTags
 * @Description TODO
 * @Date 2025/3/19 17:31
 */
@Data
@Accessors(chain = true)
@TableName(value = "log_sub_tags", autoResultMap = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class LogSubTags extends BaseDO {
    @TableId
    private long id;
    /**
     * 构建ID
     */
    private String buildId;

    /**
     * 插件标签
     */
    private String tag;

    /**
     * 插件子标签
     */
    private String subTags;

    public LogSubTags(String buildId, String tag, String subTags) {
        this.buildId = buildId;
        this.tag = tag;
        this.subTags = subTags;
    }

}
