package cd.casic.ci.project.dal.pojo;

import cd.casic.ci.common.pipeline.enums.SubjectScopeType;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Schema(description = "授权范围")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SubjectScopeInfo {
    @Schema(description = "ID")
    private String id;
    @Schema(description = "name")
    private String name;
    @Schema(description = "类型")
    private String type = SubjectScopeType.USER.getValue();
    @JsonProperty("full_name")
    private String fullName;
    @Schema(description = "用户名")
    private String username;
}
