package cd.casic.pipeline.store.pojo.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "组件基本环境信息扩展数据PO")
public class StoreBaseEnvExtDataPO {
    @Schema(title = "主键ID")
    private String id;
    
    @Schema(title = "环境ID")
    private String envId;
    
    @Schema(title = "组件ID")
    private String storeId;
    
    @Schema(title = "字段名称")
    private String fieldName;
    
    @Schema(title = "字段值")
    private String fieldValue;
    
    @Schema(title = "创建人")
    private String creator;
}