package cd.casic.pipeline.store.pojo.image.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "镜像市场-镜像特性信息更新请求报文体")
public class ImageFeatureUpdateRequest {
    @Schema(title = "镜像代码", required = true)
    private String imageCode;
    
    @Schema(title = "是否为公共镜像， TRUE：是 FALSE：不是", required = false)
    private Boolean publicFlag;
    
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
}