package cd.casic.pipeline.store.pojo.image.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "镜像详情")
public class BaseImageInfo {
    @Schema(title = "镜像类型", required = true)
    private String imageType;
    
    @Schema(title = "镜像代码", required = true)
    private String code;
    
    @Schema(title = "镜像名称", required = true)
    private String name;
    
    @Schema(title = "镜像版本", required = true)
    private String version;
    
    @Schema(title = "是否推荐", required = true)
    private Boolean recommendFlag;
    
    @Schema(title = "镜像完整地址", required = true)
    private String value;
}