package cd.casic.ci.common.pipeline.dialect;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.dialect
 * @Project：ops-pro
 * @name：IPipelineDialect
 * @Date：2025/03/27 10:35
 * @Filename：IPipelineDialect
 * @description：Todo
 */
public interface IPipelineDialect {
    String getPipelineDialectType();

    /**
     * 1. 仅支持双花括号，避免出现 bash 脚本变量在执行前被系统赋值的问题
     * 2. 流程控制选项、插件入参、Job设置等流水线配置中均可使用函数
     */
    boolean supportUseExpression();
    /**
     * 是否支持中文变量名
     */
    boolean supportChineseVarName();
}
