package cd.casic.ci.log.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname LogStatus
 * @Description TODO
 * @Date 2025/3/19 17:24
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@TableName(value = "log_status", autoResultMap = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class LogStatus extends BaseDO {
    @TableId
    private Long id;

    private String buildId;

    private String tag;

    private String subTag;

    private String jobId;

    private String mode;

    private int executeCount;

    private Boolean finished;

    public LogStatus(String buildId, String tag, String subTag, String jobId, String mode, int executeCount, Boolean finished) {
        this.buildId = buildId;
        this.tag = tag;
        this.subTag = subTag;
        this.jobId = jobId;
        this.mode = mode;
        this.executeCount = executeCount;
        this.finished = finished;
    }

}
