package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildBasicInfo
 * @Date：2025/03/24 14:55
 * @Filename：BuildBasicInfo
 * @description：Todo
 */
@Schema(title = "构建模型-基础信息")
public class BuildBasicInfo {
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线版本", required = true)
    private int pipelineVersion;
    @Schema(title = "构建状态", required = false)
    private BuildStatus status;
}
