package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.pojo.classify.enums.Condition;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewFilterByCreator
 * @Date：2025/03/24 20:02
 * @Filename：PipelineViewFilterByCreator
 * @description：Todo
 */

@Data
@Schema(title = "流水线视图-通过创建者过滤", description = PipelineViewFilterByCreator.CLASS_TYPE)
public class PipelineViewFilterByCreator extends PipelineViewFilter {
    public static final String CLASS_TYPE = "filterByCreator";
    @Schema(title = "条件", required = false)
    private Condition condition;
    @Schema(title = "用户id 列表", required = false)
    private List<String> userIds;
}
