package cd.casic.ci.process.engine.configinfo;

import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName ScaSbomConfigInfo
 * @Date: 2025/5/21 19:25
 * @Description:
 */
@Data
public class ScaSbomConfigInfo {

    /**
     * 机器id
     */
    private long machineId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用版本
     */
    private String applicationVersion;

    /**
     * 应用描述，可选
     */
    private String applicationDescription;

    /**
     * 是否开启恶意组件分析，可选
     */
    private String enablePoison;

    /**
     * 节点保存返回的任务id
     */
    private Integer scaTaskId;

    /**
     * 节点保存返回的任务id
     */
    private Integer applicationId;

    /**
     * 目标版本id --用于比较目标版本是否改变
     */
    private String targetVersionId;
}
