package cd.casic.pipeline.store.pojo.container;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "流水线-构建资源信息")
public class BuildResource {
    @Schema(title = "构建资源ID", required = true)
    private String id;
    
    @Schema(title = "构建资源代码", required = true)
    private String buildResourceCode;
    
    @Schema(title = "构建资源名称", required = true)
    private String buildResourceName;
    
    @Schema(title = "是否为默认构建资源，TRUE：是 FALSE：否", required = true)
    private Boolean defaultFlag;
    
    @Schema(title = "创建日期")
    private Long createTime = 0L;
    
    @Schema(title = "更新日期")
    private Long updateTime = 0L;
}